/**
 * 
 */
package org.gcube.portlets.user.td.gwtservice.server.file;

import org.apache.commons.fileupload.ProgressListener;
import org.gcube.portlets.user.td.gwtservice.shared.file.FileUploadMonitor;

/**
 * 
 * @author "Giancarlo Panichi" 
 * <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class FileUploadListener implements ProgressListener {

	protected FileUploadMonitor fileUploadMonitor;

	public FileUploadListener(FileUploadMonitor fileUploadMonitor) {
		this.fileUploadMonitor = fileUploadMonitor;
	}

	/**
	 * {@inheritDoc}
	 */
	public void update(long pBytesRead, long pContentLength, int pItems) {
		fileUploadMonitor.setTotalLenght(pContentLength);
		fileUploadMonitor.setElaboratedLenght(pBytesRead);
	}

}
