package org.gcube.portlets.user.td.gwtservice.shared;

import java.io.Serializable;

/**
 * 
 * @author "Giancarlo Panichi" 
 * <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class TRId implements Serializable{
	
	private static final long serialVersionUID = 192846115142001630L;
	
	/**
	 * Last table id of tabular resource
	 */
	String tableId;
	
	/**
	 * Tabular resource id
	 */
	String id;
	
	/**
	 * Item on Workspace
	 */
	String itemId;
	
	public TRId(){
		
	}
	
	public TRId(String id){
		this.id=id;
		this.tableId=null;
	}
	
	
	public TRId(String id, String tableId){
		this.id=id;
		this.tableId=tableId;
		this.itemId=null;
	}
	

	public String getTableId() {
		return tableId;
	}
	public void setTableId(String tableId) {
		this.tableId = tableId;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	
	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	@Override
	public String toString() {
		return "TRId [tableId=" + tableId + ", id=" + id + ", itemId=" + itemId
				+ "]";
	}
	
	
	
}
